Approve sync plan
curl --request POST \
--url https://{workspace}.klef.ai/api/sync-plans/{id}/approve \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/sync-plans/{id}/approve"
headers = {"cookie": "klef.session="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/sync-plans/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}SyncPlans
Approve sync plan
POST
/
sync-plans
/
{id}
/
approve
Approve sync plan
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Path Parameters
Response
No Content
Was this page helpful?